GDAL

Public Member Functions | Public Attributes | List of all members
gdal::viewshed::Options Struct Reference

Options for viewshed generation. More...

`#include <viewshed_types.h>`

## Public Member Functions
bool | angleMasking () const
| True if angle masking will occur.
bool | lowPitchMasking () const
| True if low pitch masking will occur.
bool | highPitchMasking () const
| True if high pitch masking will occur.
bool | pitchMasking () const
| True if pitch masking will occur.

## Public Attributes
Point | observer {0, 0, 0}
| x, y, and z of the observer
double | visibleVal {255}
| raster output value for visible pixels.
double | invisibleVal {0}
| raster output value for non-visible pixels.
double | outOfRangeVal
| raster output value for pixels outside of max distance.
double | nodataVal {-1}
| raster output value for pixels with no data
double | targetHeight {0.0}
| target height above the DEM surface
double | maxDistance
| maximum distance from observer to compute value
double | minDistance
| minimum distance from observer to compute value.
double | startAngle {0.0}
| start angle of observable range
double | endAngle {0.0}
| end angle of observable range
double | lowPitch
| minimum pitch (vertical angle) of observable points
double | highPitch
| maximum pitch (vertical angle) of observable points
double | curveCoeff {.85714}
| coefficient for atmospheric refraction
OutputMode | outputMode {OutputMode::Normal}
| Output information.
std::string | outputFormat {}
| output raster format
std::string | outputFilename {}
| output raster filename
CPLStringList | creationOpts {}
| options for output raster creation
CellMode | cellMode {CellMode::Edge}
| Mode of cell height calculation.
int | observerSpacing {10}
| Observer spacing in cumulative mode.
uint8_t | numJobs {3}
| Relative number of jobs in cumulative mode.

## Detailed Description

Options for viewshed generation.

## Member Data Documentation

## ◆ highPitch

double gdal::viewshed::Options::highPitch

Initial value:
{
90.0}

maximum pitch (vertical angle) of observable points

## ◆ lowPitch

double gdal::viewshed::Options::lowPitch

Initial value:
{
-90.0}

minimum pitch (vertical angle) of observable points

## ◆ maxDistance

double gdal::viewshed::Options::maxDistance

Initial value:
{
0.0}

maximum distance from observer to compute value

## ◆ minDistance

double gdal::viewshed::Options::minDistance

Initial value:
{
0.0}

minimum distance from observer to compute value.

## ◆ outOfRangeVal

double gdal::viewshed::Options::outOfRangeVal

Initial value:
{
0}

raster output value for pixels outside of max distance.

## ◆ outputMode

OutputMode gdal::viewshed::Options::outputMode {OutputMode::Normal}

Output information.

Normal, Height from DEM or Height from ground

The documentation for this struct was generated from the following file:

- viewshed_types.h